Changes between Initial Version and Version 1 of Ticket #14590, comment 3


Ignore:
Timestamp:
Feb 6, 2012, 10:59:49 AM (8 years ago)
Author:
cjolif
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #14590, comment 3

    initial v1  
    1 As far as I can see the !SlideShow widget has _not_ been moved to AMD. The problem comes from the fact that in 1.6 dojo.cache was probably available indirectly through another dependency and in 1.7 it must be included explicitly when used. In !SlideShow it is used but not required. I support adding dojo.require("dojo.cache") should fix the issue.
     1As far as I can see the !SlideShow widget has _not_ been moved to AMD. The problem comes from the fact that in 1.6 dojo.cache was probably available indirectly through another dependency and in 1.7 it must be included explicitly when used. In !SlideShow it is used but not required. I suppose adding dojo.require("dojo.cache") should fix the issue (but there might be others...)